Page MenuHomePhabricator

Invalid parameter for message "blocklogentry": a:1:{s:3:"raw";N;}
Closed, ResolvedPublic

Description

6 Invalid parameter for message "blocklogentry": a:1:{s:3:"raw";N;} in /srv/mediawiki/php-1.25wmf20/includes/Message.php on line 1007
Based on the code after that line, I found this:

krenair@fluorine:/a/mw-log$ tail Bug58676.log -n 16
2015-03-14 01:46:30 mw1031 metawiki: Invalid parameter for message "blocklogentry": a:1:{s:3:"raw";N;}
#0 /srv/mediawiki/php-1.25wmf20/includes/Message.php(966): Message->extractParam()
#1 /srv/mediawiki/php-1.25wmf20/includes/Message.php(733): Message->replaceParameters()
#2 /srv/mediawiki/php-1.25wmf20/includes/Message.php(826): Message->toString()
#3 /srv/mediawiki/php-1.25wmf20/includes/logging/LogFormatter.php(342): Message->escaped()
#4 /srv/mediawiki/php-1.25wmf20/includes/logging/LogPage.php(431): LogFormatter->getIRCActionText()
#5 /srv/mediawiki/php-1.25wmf20/extensions/GlobalBlocking/includes/specials/SpecialGlobalBlock.php(176): LogPage->addEntry()
#6 /srv/mediawiki/php-1.25wmf20/extensions/GlobalBlocking/includes/specials/SpecialGlobalBlock.php(33): SpecialGlobalBlock->trySubmit()
#7 /srv/mediawiki/php-1.25wmf20/includes/specialpage/SpecialPage.php(383): SpecialGlobalBlock->execute()
#8 /srv/mediawiki/php-1.25wmf20/includes/specialpage/SpecialPageFactory.php(581): SpecialPage->run()
#9 /srv/mediawiki/php-1.25wmf20/includes/MediaWiki.php(270): SpecialPageFactory::executePath()
#10 /srv/mediawiki/php-1.25wmf20/includes/MediaWiki.php(573): MediaWiki->performRequest()
#11 /srv/mediawiki/php-1.25wmf20/includes/MediaWiki.php(424): MediaWiki->main()
#12 /srv/mediawiki/php-1.25wmf20/index.php(46): MediaWiki->run()
#13 /srv/mediawiki/w/index.php(3): include()
#14 {main}

Event Timeline

Krenair created this task.Mar 14 2015, 2:44 AM
Krenair raised the priority of this task from to Needs Triage.
Krenair updated the task description. (Show Details)
Krenair added subscribers: Krenair, Umherirrender.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2015, 2:44 AM
Krenair added a project: CheckUser.EditedMar 14 2015, 2:56 AM

Same thing from CheckUser (probably. might be core.):

Invalid parameter for message "blocklogentry": a:1:{s:3:"raw";N;}
#0 /srv/mediawiki/php-1.25wmf20/includes/Message.php(966): Message->extractParam()
#1 /srv/mediawiki/php-1.25wmf20/includes/Message.php(733): Message->replaceParameters()
#2 /srv/mediawiki/php-1.25wmf20/includes/Message.php(826): Message->toString()
#3 /srv/mediawiki/php-1.25wmf20/includes/logging/LogFormatter.php(342): Message->escaped()
#4 /srv/mediawiki/php-1.25wmf20/includes/logging/LogPage.php(431): LogFormatter->getIRCActionText()
#5 /srv/mediawiki/php-1.25wmf20/extensions/CheckUser/specials/SpecialCheckUser.php(300): LogPage->addEntry()
#6 /srv/mediawiki/php-1.25wmf20/extensions/CheckUser/specials/SpecialCheckUser.php(228): CheckUser::doMassUserBlockInternal()
#7 /srv/mediawiki/php-1.25wmf20/extensions/CheckUser/specials/SpecialCheckUser.php(54): CheckUser->doMassUserBlock()
#8 /srv/mediawiki/php-1.25wmf20/includes/specialpage/SpecialPage.php(383): CheckUser->execute()
#9 /srv/mediawiki/php-1.25wmf20/includes/specialpage/SpecialPageFactory.php(581): SpecialPage->run()
#10 /srv/mediawiki/php-1.25wmf20/includes/MediaWiki.php(270): SpecialPageFactory::executePath()
#11 /srv/mediawiki/php-1.25wmf20/includes/MediaWiki.php(573): MediaWiki->performRequest()
#12 /srv/mediawiki/php-1.25wmf20/includes/MediaWiki.php(424): MediaWiki->main()
#13 /srv/mediawiki/php-1.25wmf20/index.php(46): MediaWiki->run()
#14 /srv/mediawiki/w/index.php(3): include()
#15 {main}

The IRC code in LogFormatter::getIRCActionText is assuming that all newly block logs have the new paramter names and not to support old log entries like coming from GlobalBlocking or CheckUser. There should also be some Undefined index warnings around that.

Yeah, there were some logging-related undefined index warnings further down in my list that I didn't get time to investigate yet. Was probably them.

I have created T92546, T92719 and T92720 to track the migration in extensions. Will add code to make core backward compatible.

Umherirrender edited projects, added MediaWiki-Logging; removed CheckUser, GlobalBlocking.
Umherirrender set Security to None.

Change 196778 had a related patch set uploaded (by Umherirrender):
Fix IRC lines for blocks over the old way

https://gerrit.wikimedia.org/r/196778

Change 196845 had a related patch set uploaded (by Alex Monk):
Fix IRC lines for blocks published with the old logging system

https://gerrit.wikimedia.org/r/196845

Change 196846 had a related patch set uploaded (by Alex Monk):
Fix IRC lines for blocks published with the old logging system

https://gerrit.wikimedia.org/r/196846

This error would be causing entries like this to come up in the IRC feed when triggered by GlobalBlocking/CheckUser:

[[Special:Log/block]] block * Krenair * blocked [[User:127.0.0.1]] with an expiry time of [INVALID] : test

So I'm going to get this fix deployed to WMF wikis on Monday.

Change 196778 merged by jenkins-bot:
Fix IRC lines for blocks published with the old logging system

https://gerrit.wikimedia.org/r/196778

Krenair closed this task as Resolved.Mar 15 2015, 12:03 AM

Change 196846 merged by jenkins-bot:
Fix IRC lines for blocks published with the old logging system

https://gerrit.wikimedia.org/r/196846

Change 196845 merged by jenkins-bot:
Fix IRC lines for blocks published with the old logging system

https://gerrit.wikimedia.org/r/196845

demon triaged this task as Normal priority.Jul 9 2015, 4:40 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:12 PM